package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DataMutasiBarangKadaluarsa
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "RM_DataMutasiBarangKadaluarsa_M")
public class DataMutasiBarangKadaluarsaVO extends BaseMasterVO {
	@NotNull(message="KodeBarang tidak boleh kosong")
	@Column(name = "KodeBarang", nullable = false, length = 100)
	@Caption(value = "KodeBarang")
	private String kodeBarang;
	public void setKodeBarang(String kodeBarang)
	{
		this.kodeBarang = kodeBarang;
	}
	public String getKodeBarang()
	{
		 return this.kodeBarang;
	}


	@NotNull(message="NamaBarang tidak boleh kosong")
	@Column(name = "NamaBarang", nullable = false, length = 100)
	@Caption(value = "NamaBarang")
	private String namaBarang;
	public void setNamaBarang(String namaBarang)
	{
		this.namaBarang = namaBarang;
	}
	public String getNamaBarang()
	{
		 return this.namaBarang;
	}


	@NotNull(message="Satuan tidak boleh kosong")
	@Column(name = "Satuan", nullable = false, length = 100)
	@Caption(value = "Satuan")
	private String satuan;
	public void setSatuan(String satuan)
	{
		this.satuan = satuan;
	}
	public String getSatuan()
	{
		 return this.satuan;
	}


	@NotNull(message="Jumlah tidak boleh kosong")
	@Column(name = "Jumlah", nullable = false, length = 100)
	@Caption(value = "Jumlah")
	private String jumlah;
	public void setJumlah(String jumlah)
	{
		this.jumlah = jumlah;
	}
	public String getJumlah()
	{
		 return this.jumlah;
	}


	@NotNull(message="TanggalExpiredData tidak boleh kosong")
	@Column(name = "TanggalExpiredData", nullable = false, length = 100)
	@Caption(value = "TanggalExpiredData")
	private String tanggalExpiredData;
	public void setTanggalExpiredData(String tanggalExpiredData)
	{
		this.tanggalExpiredData = tanggalExpiredData;
	}
	public String getTanggalExpiredData()
	{
		 return this.tanggalExpiredData;
	}


	@NotNull(message="Dokter tidak boleh kosong")
	@Column(name = "Dokter", nullable = false, length = 100)
	@Caption(value = "Dokter")
	private String dokter;
	public void setDokter(String dokter)
	{
		this.dokter = dokter;
	}
	public String getDokter()
	{
		 return this.dokter;
	}


	@NotNull(message="TipePasien tidak boleh kosong")
	@Column(name = "TipePasien", nullable = false, length = 100)
	@Caption(value = "TipePasien")
	private String tipePasien;
	public void setTipePasien(String tipePasien)
	{
		this.tipePasien = tipePasien;
	}
	public String getTipePasien()
	{
		 return this.tipePasien;
	}


	@NotNull(message="Keluarkan tidak boleh kosong")
	@Column(name = "Keluarkan", nullable = false, length = 100)
	@Caption(value = "Keluarkan")
	private String keluarkan;
	public void setKeluarkan(String keluarkan)
	{
		this.keluarkan = keluarkan;
	}
	public String getKeluarkan()
	{
		 return this.keluarkan;
	}



}